Index: docs/tspsg.tags
===================================================================
--- docs/tspsg.tags	(revision 50b614b0ead33f6b36d2ebb87a0d05d59047c955)
+++ docs/tspsg.tags	(revision 50b614b0ead33f6b36d2ebb87a0d05d59047c955)
@@ -0,0 +1,1065 @@
+<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
+<tagfile>
+  <compound kind="page">
+    <name>index</name>
+    <title></title>
+    <filename>index</filename>
+    <docanchor file="index">m_s1</docanchor>
+    <docanchor file="index">m_s2</docanchor>
+    <docanchor file="index">m_s3</docanchor>
+  </compound>
+  <compound kind="file">
+    <name>defaults.h</name>
+    <path>W:/Projects/Cpp/tspsg/tspsg/src/</path>
+    <filename>defaults_8h</filename>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_NUM_CITIES</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a4d1fa8b5b2b213595f30e55d75070ed2</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_AUTOSIZE</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a26cf35c10c1ed2eab930d839284842c6</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_SAVE_LAST_USED</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a02da61748796e418a0919b08a513eaed</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_USE_NATIVE_DIALOGS</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a6bbdc41d8e9d2d8050fb973f058a5521</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_SAVEPOS</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>ad983bd19a9662c6cb6fe5ba981cbdbf4</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_USE_TRANSLUCENCY</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a1514694a06d7bb7c282913d8474be546</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_CHECK_FOR_UPDATES</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a18e68184ae6744c3d45c412cf429ef1c</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_UPDATE_CHECK_INTERVAL</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>af2574b71a796ed52fc04b046a0f9a0c0</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_FRACTIONAL_ACCURACY</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>afd1234d6d4416db1f37831403b3e2dbe</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_RAND_MIN</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a21dd408136bbab225a4f5e2c42f85643</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_RAND_MAX</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>af9914e148840572bac46f451db4cb6e5</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_FRACTIONAL_RANDOM</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a4a1e6c04461eabfc0cc0941d342ecfb4</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_SYMMETRIC_MODE</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>af249ec8d65a40ef0b19738492d12948a</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_GENERATE_GRAPH</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a73f8a39306276216c93cdc2a717b1342</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_GRAPH_IMAGE_FORMAT</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>aad71a2dd2d5413e2839be1c0cb3113c2</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_HQ_GRAPH</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a351e58750bbb3904d900734fb5ab1ca8</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_EMBED_GRAPH_INTO_HTML</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a16fdbd8b89b9084127049fa05b1b5f58</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_GRAPH_WIDTH</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>ab49ccdefac341aab2264a333465195bd</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_SHOW_MATRIX</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a616d74fa946123f424193b007d5a6382</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_USE_SHOW_MATRIX_LIMIT</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>ae37fe7eb909d7fd076f067900e900c0e</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_SHOW_MATRIX_LIMIT</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a261331d449328e53926027d021757d57</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_SCROLL_TO_END</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a6831bc2c2f11c3a14382c8fbe8d87efe</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_FONT_FACE</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>afdd3c568d87924da83cb8bfcedb3722d</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_FONT_SIZE</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>ab73bf542bad61b0b720c0495ef612105</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_TEXT_COLOR</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a710f671e31437218c889b6b2f3c01210</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_SELECTED_COLOR</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>ad17d752887636bbd53cf11d65f464b17</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_ALTERNATE_COLOR</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a442f2f1e773805a0ba8949f31fbf4ede</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_PAGE_SIZE</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a2ab370dcb12e8b14e1a63f81b7ab02f3</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_PAGE_ORIENTATION</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a0f7b5d05680696e6774abf894323da9c</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_MARGIN_LEFT</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a7c486bdb40b92784b2921a7557f08a83</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_MARGIN_TOP</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a19accd252c3c5efdbdb823a3c0765eee</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_MARGIN_RIGHT</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>af14158579bd7ad31545323c8ab012c21</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>DEF_MARGIN_BOTTOM</name>
+      <anchorfile>defaults_8h.html</anchorfile>
+      <anchor>a31dade76dbb218c92c0f7e48e0ccfa10</anchor>
+      <arglist></arglist>
+    </member>
+  </compound>
+  <compound kind="file">
+    <name>globals.h</name>
+    <path>W:/Projects/Cpp/tspsg/tspsg/src/</path>
+    <filename>globals_8h</filename>
+    <includes id="version_8h" name="version.h" local="yes" imported="no">version.h</includes>
+    <includes id="os_8h" name="os.h" local="yes" imported="no">os.h</includes>
+    <includes id="defaults_8h" name="defaults.h" local="yes" imported="no">defaults.h</includes>
+    <includes id="tspsolver_8h" name="tspsolver.h" local="yes" imported="no">tspsolver.h</includes>
+    <includes id="qtwin_8h" name="qtwin.h" local="yes" imported="no">qtwin.h</includes>
+    <member kind="define">
+      <type>#define</type>
+      <name>MAX_NUM_CITIES</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a70edda218af688662bb006cf0552544e</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>MAX_RAND_VALUE</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a1703614f274735e91c1539048ef1093f</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>PATH_L10N</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a27fa861afe50713394493c32c26741b9</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>PATH_DOCS</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a93de9563d724c12880c908961ca78dae</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>TSPT</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>abd9c3c65456a20b4b281165a29583e78</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>TSPT_VERSION</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>afc611d658b90f441ae837a2478b5bdb1</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>TSPT_META_VERSION</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a4c516e985c6e8edf1b54bcd7c15ad89c</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>TSPT_META_SIZE</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a98ea46119cfda59f7b9c6f50ef72636e</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>ZKT</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a437bcbf6414d33f7a885a4507c1b9940</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>ZKT_VERSION</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>ab6d630d0a03e4e53fceb0567653ca629</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>INFSTR</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a1ae8033146e07fa0bae37f148b90cd6b</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>CM_IN_INCH</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>aac9ce8fb785520c655eb7ae34542fb16</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>HQ_FACTOR</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a73228cd500c622bd1d90d1148f5f706b</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="function">
+      <type>bool</type>
+      <name>isInteger</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a594842d2fcaf774c3c42b944f3f031d2</anchor>
+      <arglist>(double x)</arglist>
+    </member>
+    <member kind="function">
+      <type>bool</type>
+      <name>hasUpdater</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a5625fcd02d07005677ff6ee3dd799e05</anchor>
+      <arglist>()</arglist>
+    </member>
+    <member kind="function">
+      <type>void</type>
+      <name>toggleStyle</name>
+      <anchorfile>globals_8h.html</anchorfile>
+      <anchor>a3ffe98116f42de97041cde4a2b0404e6</anchor>
+      <arglist>(QWidget *widget, bool enable)</arglist>
+    </member>
+  </compound>
+  <compound kind="file">
+    <name>mainwindow.h</name>
+    <path>W:/Projects/Cpp/tspsg/tspsg/src/</path>
+    <filename>mainwindow_8h</filename>
+    <includes id="globals_8h" name="globals.h" local="yes" imported="no">globals.h</includes>
+    <includes id="settingsdialog_8h" name="settingsdialog.h" local="yes" imported="no">settingsdialog.h</includes>
+    <includes id="tspmodel_8h" name="tspmodel.h" local="yes" imported="no">tspmodel.h</includes>
+    <class kind="class">MainWindow</class>
+  </compound>
+  <compound kind="file">
+    <name>os.h</name>
+    <path>W:/Projects/Cpp/tspsg/tspsg/src/</path>
+    <filename>os_8h</filename>
+    <member kind="define">
+      <type>#define</type>
+      <name>ARCH</name>
+      <anchorfile>os_8h.html</anchorfile>
+      <anchor>a63e66b419dba650abc74240836e8447a</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>OS</name>
+      <anchorfile>os_8h.html</anchorfile>
+      <anchor>a3324dbb5e25daac23e988901bb085447</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>OSID</name>
+      <anchorfile>os_8h.html</anchorfile>
+      <anchor>a1dd5b94c3a8ca1350a4037270084df73</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>PLATFROM</name>
+      <anchorfile>os_8h.html</anchorfile>
+      <anchor>a5751bcea3ecce2a44d6c294f28dca42b</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>COMPILER</name>
+      <anchorfile>os_8h.html</anchorfile>
+      <anchor>a63f2e19ce36089fbdd99a7a46c62afbe</anchor>
+      <arglist></arglist>
+    </member>
+  </compound>
+  <compound kind="file">
+    <name>pch.h</name>
+    <path>W:/Projects/Cpp/tspsg/tspsg/src/</path>
+    <filename>pch_8h</filename>
+  </compound>
+  <compound kind="file">
+    <name>qtwin.h</name>
+    <path>W:/Projects/Cpp/tspsg/tspsg/src/</path>
+    <filename>qtwin_8h</filename>
+    <class kind="class">QtWin</class>
+  </compound>
+  <compound kind="file">
+    <name>resource.h</name>
+    <path>W:/Projects/Cpp/tspsg/tspsg/src/</path>
+    <filename>resource_8h</filename>
+    <includes id="version_8h" name="version.h" local="yes" imported="no">version.h</includes>
+    <member kind="define">
+      <type>#define</type>
+      <name>VS_VERSION_INFO</name>
+      <anchorfile>resource_8h.html</anchorfile>
+      <anchor>acb5ab3fc7255f8836cd8c3712f22ada1</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>IDI_APPICON</name>
+      <anchorfile>resource_8h.html</anchorfile>
+      <anchor>a987166b75dc07f55aa2adf5ba6e38d63</anchor>
+      <arglist></arglist>
+    </member>
+  </compound>
+  <compound kind="file">
+    <name>settingsdialog.h</name>
+    <path>W:/Projects/Cpp/tspsg/tspsg/src/</path>
+    <filename>settingsdialog_8h</filename>
+    <includes id="globals_8h" name="globals.h" local="yes" imported="no">globals.h</includes>
+    <class kind="class">SettingsDialog</class>
+  </compound>
+  <compound kind="file">
+    <name>shobjidl.h</name>
+    <path>W:/Projects/Cpp/tspsg/tspsg/src/</path>
+    <filename>shobjidl_8h</filename>
+    <class kind="interface">ITaskbarList3</class>
+    <member kind="enumeration">
+      <name>TBPFLAG</name>
+      <anchorfile>shobjidl_8h.html</anchorfile>
+      <anchor>a1fafeab2f8950fbd8edf21f4a2200c39</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="enumvalue">
+      <name>TBPF_NOPROGRESS</name>
+      <anchorfile>shobjidl_8h.html</anchorfile>
+      <anchor>a1fafeab2f8950fbd8edf21f4a2200c39a3570f6f9189f7bcaa722abfce49ea335</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="enumvalue">
+      <name>TBPF_INDETERMINATE</name>
+      <anchorfile>shobjidl_8h.html</anchorfile>
+      <anchor>a1fafeab2f8950fbd8edf21f4a2200c39a43c1643df0a6e7b4c78651d8285be535</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="enumvalue">
+      <name>TBPF_NORMAL</name>
+      <anchorfile>shobjidl_8h.html</anchorfile>
+      <anchor>a1fafeab2f8950fbd8edf21f4a2200c39a45ac285277be4b436cbb0c2e60883c4d</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="enumvalue">
+      <name>TBPF_ERROR</name>
+      <anchorfile>shobjidl_8h.html</anchorfile>
+      <anchor>a1fafeab2f8950fbd8edf21f4a2200c39a5f80fe02a44f4e87a593ab63adb9ff09</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="enumvalue">
+      <name>TBPF_PAUSED</name>
+      <anchorfile>shobjidl_8h.html</anchorfile>
+      <anchor>a1fafeab2f8950fbd8edf21f4a2200c39ab3919c5fad5aa361787ad1ca5aba1400</anchor>
+      <arglist></arglist>
+    </member>
+  </compound>
+  <compound kind="file">
+    <name>tspmodel.h</name>
+    <path>W:/Projects/Cpp/tspsg/tspsg/src/</path>
+    <filename>tspmodel_8h</filename>
+    <includes id="globals_8h" name="globals.h" local="yes" imported="no">globals.h</includes>
+    <class kind="class">CTSPModel</class>
+  </compound>
+  <compound kind="file">
+    <name>tspsolver.h</name>
+    <path>W:/Projects/Cpp/tspsg/tspsg/src/</path>
+    <filename>tspsolver_8h</filename>
+    <class kind="struct">TSPSolver::SStep</class>
+    <class kind="struct">TSPSolver::SStep::SCandidate</class>
+    <class kind="class">TSPSolver::CTSPSolver</class>
+    <namespace>TSPSolver</namespace>
+    <member kind="define">
+      <type>#define</type>
+      <name>INFINITY</name>
+      <anchorfile>tspsolver_8h.html</anchorfile>
+      <anchor>a956e2723d559858d08644ac99146e910</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="typedef">
+      <type>QList&lt; QList&lt; double &gt; &gt;</type>
+      <name>TMatrix</name>
+      <anchorfile>namespace_t_s_p_solver.html</anchorfile>
+      <anchor>a54acd6743f0aa52d3022436d38a78f8c</anchor>
+      <arglist></arglist>
+    </member>
+  </compound>
+  <compound kind="file">
+    <name>version.h</name>
+    <path>W:/Projects/Cpp/tspsg/tspsg/src/</path>
+    <filename>version_8h</filename>
+    <member kind="define">
+      <type>#define</type>
+      <name>BUILD_VERSION_MAJOR</name>
+      <anchorfile>version_8h.html</anchorfile>
+      <anchor>a5cf508f5e45c0cfbf12ee768b9c7a0a2</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>BUILD_VERSION_MINOR</name>
+      <anchorfile>version_8h.html</anchorfile>
+      <anchor>ac631d87f240fc2c15f11be2bbbb23ff3</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>BUILD_RELEASE</name>
+      <anchorfile>version_8h.html</anchorfile>
+      <anchor>a962258f08e30f89054491f457d225aaf</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>BUILD_NUMBER</name>
+      <anchorfile>version_8h.html</anchorfile>
+      <anchor>ae7f90861d8c4d5b1cbdcf71d325feea2</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>BUILD_STATUS</name>
+      <anchorfile>version_8h.html</anchorfile>
+      <anchor>a7a713d0890ab037efe896938904fb407</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>QUOTE_X</name>
+      <anchorfile>version_8h.html</anchorfile>
+      <anchor>a7853af8e699fd3e5e8690e4760eb61cb</anchor>
+      <arglist>(x)</arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>QUOTE</name>
+      <anchorfile>version_8h.html</anchorfile>
+      <anchor>a2117b58e19182dff91ad3558e650541d</anchor>
+      <arglist>(x)</arglist>
+    </member>
+    <member kind="define">
+      <type>#define</type>
+      <name>BUILD_VERSION</name>
+      <anchorfile>version_8h.html</anchorfile>
+      <anchor>ad7a967dd260384e94010b31b1412a0b4</anchor>
+      <arglist></arglist>
+    </member>
+  </compound>
+  <compound kind="page">
+    <name>changelog</name>
+    <title>TSPSG ChangeLog</title>
+    <filename>changelog</filename>
+    <docanchor file="changelog">cl_b100_i</docanchor>
+    <docanchor file="changelog">cl_b145_c</docanchor>
+    <docanchor file="changelog">cl_b170</docanchor>
+    <docanchor file="changelog">cl_b100_w</docanchor>
+    <docanchor file="changelog">cl_toc</docanchor>
+    <docanchor file="changelog">cl_b170_b</docanchor>
+    <docanchor file="changelog">cl_b170_c</docanchor>
+    <docanchor file="changelog">cl_b42_f</docanchor>
+    <docanchor file="changelog">cl_b145_i</docanchor>
+    <docanchor file="changelog">cl_b100</docanchor>
+    <docanchor file="changelog">cl_b145_w</docanchor>
+    <docanchor file="changelog">cl_b42</docanchor>
+    <docanchor file="changelog">cl_b100_b</docanchor>
+    <docanchor file="changelog">cl_b100_c</docanchor>
+    <docanchor file="changelog">cl_b170_w</docanchor>
+    <docanchor file="changelog">cl_b145_b</docanchor>
+    <docanchor file="changelog">cl_b145</docanchor>
+  </compound>
+  <compound kind="page">
+    <name>install</name>
+    <title>TSPSG Installation Guide</title>
+    <filename>install</filename>
+    <docanchor file="install">cr1</docanchor>
+    <docanchor file="install">i_s61</docanchor>
+    <docanchor file="install">cr2</docanchor>
+    <docanchor file="install">cr3</docanchor>
+    <docanchor file="install">r1</docanchor>
+    <docanchor file="install">cr4</docanchor>
+    <docanchor file="install">i_s41</docanchor>
+    <docanchor file="install">r2</docanchor>
+    <docanchor file="install">i_s42</docanchor>
+    <docanchor file="install">r3</docanchor>
+    <docanchor file="install">i_s43</docanchor>
+    <docanchor file="install">r4</docanchor>
+    <docanchor file="install">i_s44</docanchor>
+    <docanchor file="install">i_s45</docanchor>
+    <docanchor file="install">i_s46</docanchor>
+    <docanchor file="install">i_s47</docanchor>
+    <docanchor file="install">i_s441</docanchor>
+    <docanchor file="install">i_s1</docanchor>
+    <docanchor file="install">i_s442</docanchor>
+    <docanchor file="install">i_s2</docanchor>
+    <docanchor file="install">i_s3</docanchor>
+    <docanchor file="install">i_s4</docanchor>
+    <docanchor file="install">i_toc</docanchor>
+    <docanchor file="install">i_s5</docanchor>
+    <docanchor file="install">i_s6</docanchor>
+    <docanchor file="install">i_s7</docanchor>
+    <docanchor file="install">i_s8</docanchor>
+  </compound>
+  <compound kind="page">
+    <name>license</name>
+    <title>GNU General Public License</title>
+    <filename>license</filename>
+  </compound>
+  <compound kind="class">
+    <name>CTSPModel</name>
+    <filename>class_c_t_s_p_model.html</filename>
+    <base>QAbstractTableModel</base>
+    <member kind="signal">
+      <type>void</type>
+      <name>numCitiesChanged</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>a733908abe1ffabf49ad34ccdabaeeee9</anchor>
+      <arglist>(int)</arglist>
+    </member>
+    <member kind="function">
+      <type></type>
+      <name>CTSPModel</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>a50a24986bc34b37c6c3b7bb52371b837</anchor>
+      <arglist>(QObject *parent=0)</arglist>
+    </member>
+    <member kind="function">
+      <type>void</type>
+      <name>clear</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>a4944812fdf6d348735db401f966b4f4a</anchor>
+      <arglist>()</arglist>
+    </member>
+    <member kind="function">
+      <type>int</type>
+      <name>columnCount</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>ac1942bbffc1313543641881e456f2e55</anchor>
+      <arglist>(const QModelIndex &amp;parent=QModelIndex()) const </arglist>
+    </member>
+    <member kind="function">
+      <type>QVariant</type>
+      <name>data</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>aad200081a43582e766096807c04227dc</anchor>
+      <arglist>(const QModelIndex &amp;index, int role=Qt::DisplayRole) const </arglist>
+    </member>
+    <member kind="function">
+      <type>Qt::ItemFlags</type>
+      <name>flags</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>a77881106624bfc203fb97bffe0d7b585</anchor>
+      <arglist>(const QModelIndex &amp;index) const </arglist>
+    </member>
+    <member kind="function">
+      <type>QVariant</type>
+      <name>headerData</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>a8c716850f6c31fa42b219d7f84038d71</anchor>
+      <arglist>(int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const </arglist>
+    </member>
+    <member kind="function">
+      <type>bool</type>
+      <name>loadTask</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>ae25b1d25b13488fde89e381152c62549</anchor>
+      <arglist>(const QString &amp;fname)</arglist>
+    </member>
+    <member kind="function">
+      <type>quint16</type>
+      <name>numCities</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>a4fcde91257e57ba0e9754418cb83148e</anchor>
+      <arglist>() const </arglist>
+    </member>
+    <member kind="function">
+      <type>void</type>
+      <name>randomize</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>ad18e48dd0b0ad56d8e4ae3b1bc039e4a</anchor>
+      <arglist>()</arglist>
+    </member>
+    <member kind="function">
+      <type>int</type>
+      <name>rowCount</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>a419c2b9d40fc2f348b15ae02f442a39b</anchor>
+      <arglist>(const QModelIndex &amp;parent=QModelIndex()) const </arglist>
+    </member>
+    <member kind="function">
+      <type>bool</type>
+      <name>saveTask</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>aa73d906286cf369d9e6352348e1aca61</anchor>
+      <arglist>(const QString &amp;fname)</arglist>
+    </member>
+    <member kind="function">
+      <type>bool</type>
+      <name>setData</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>a614a0e748bdf52c504a0284c07a977ed</anchor>
+      <arglist>(const QModelIndex &amp;index, const QVariant &amp;value, int role=Qt::EditRole)</arglist>
+    </member>
+    <member kind="function">
+      <type>void</type>
+      <name>setNumCities</name>
+      <anchorfile>class_c_t_s_p_model.html</anchorfile>
+      <anchor>aff717cb92ce6426033e85716644b9cef</anchor>
+      <arglist>(int n)</arglist>
+    </member>
+  </compound>
+  <compound kind="interface">
+    <name>ITaskbarList3</name>
+    <filename>interface_i_taskbar_list3.html</filename>
+    <member kind="function">
+      <type>HRESULT</type>
+      <name>SetProgressState</name>
+      <anchorfile>interface_i_taskbar_list3.html</anchorfile>
+      <anchor>ac0dd28f3cbb50f8bcb07e085a1cbab4e</anchor>
+      <arglist>(HWND hwnd, TBPFLAG tbpFlags)</arglist>
+    </member>
+    <member kind="function">
+      <type>HRESULT</type>
+      <name>SetProgressValue</name>
+      <anchorfile>interface_i_taskbar_list3.html</anchorfile>
+      <anchor>afc90208fdce89e0f212e7b1a4888f254</anchor>
+      <arglist>(HWND hwnd, ULONGLONG ullCompleted, ULONGLONG ullTotal)</arglist>
+    </member>
+  </compound>
+  <compound kind="class">
+    <name>MainWindow</name>
+    <filename>class_main_window.html</filename>
+    <base>QMainWindow</base>
+    <member kind="function">
+      <type></type>
+      <name>MainWindow</name>
+      <anchorfile>class_main_window.html</anchorfile>
+      <anchor>a8b244be8b7b7db1b08de2a2acb9409db</anchor>
+      <arglist>(QWidget *parent=0)</arglist>
+    </member>
+  </compound>
+  <compound kind="class">
+    <name>QtWin</name>
+    <filename>class_qt_win.html</filename>
+    <member kind="function" static="yes">
+      <type>static bool</type>
+      <name>enableBlurBehindWindow</name>
+      <anchorfile>class_qt_win.html</anchorfile>
+      <anchor>accb2708f861220124722091b102b819f</anchor>
+      <arglist>(QWidget *widget, bool enable=true)</arglist>
+    </member>
+    <member kind="function" static="yes">
+      <type>static bool</type>
+      <name>extendFrameIntoClientArea</name>
+      <anchorfile>class_qt_win.html</anchorfile>
+      <anchor>a33046d127bbd86b26a46f914c1793dfb</anchor>
+      <arglist>(QWidget *widget, int left=-1, int top=-1, int right=-1, int bottom=-1)</arglist>
+    </member>
+    <member kind="function" static="yes">
+      <type>static bool</type>
+      <name>isCompositionEnabled</name>
+      <anchorfile>class_qt_win.html</anchorfile>
+      <anchor>ad90dbf318593dd8b4d29c4f7dc8c887f</anchor>
+      <arglist>()</arglist>
+    </member>
+    <member kind="function" static="yes">
+      <type>static QColor</type>
+      <name>colorizatinColor</name>
+      <anchorfile>class_qt_win.html</anchorfile>
+      <anchor>a1f53cc322d38d97e295520f07cb1a728</anchor>
+      <arglist>()</arglist>
+    </member>
+  </compound>
+  <compound kind="class">
+    <name>SettingsDialog</name>
+    <filename>class_settings_dialog.html</filename>
+    <base>QDialog</base>
+    <member kind="function">
+      <type></type>
+      <name>SettingsDialog</name>
+      <anchorfile>class_settings_dialog.html</anchorfile>
+      <anchor>a9933956b777b2c0451e9119581cc22fb</anchor>
+      <arglist>(QWidget *parent=0)</arglist>
+    </member>
+    <member kind="function">
+      <type>bool</type>
+      <name>colorChanged</name>
+      <anchorfile>class_settings_dialog.html</anchorfile>
+      <anchor>a582255a7b2b320d0efa7e97a97e432c1</anchor>
+      <arglist>() const </arglist>
+    </member>
+    <member kind="function">
+      <type>bool</type>
+      <name>fontChanged</name>
+      <anchorfile>class_settings_dialog.html</anchorfile>
+      <anchor>a3bbdd390758bf15a2c5e1fa69586560d</anchor>
+      <arglist>() const </arglist>
+    </member>
+    <member kind="function">
+      <type>qint8</type>
+      <name>translucencyChanged</name>
+      <anchorfile>class_settings_dialog.html</anchorfile>
+      <anchor>aaaee67d735da21a6a5ebe95be35fe430</anchor>
+      <arglist>() const </arglist>
+    </member>
+  </compound>
+  <compound kind="namespace">
+    <name>TSPSolver</name>
+    <filename>namespace_t_s_p_solver.html</filename>
+    <class kind="struct">TSPSolver::SStep</class>
+    <class kind="class">TSPSolver::CTSPSolver</class>
+    <member kind="typedef">
+      <type>QList&lt; QList&lt; double &gt; &gt;</type>
+      <name>TMatrix</name>
+      <anchorfile>namespace_t_s_p_solver.html</anchorfile>
+      <anchor>a54acd6743f0aa52d3022436d38a78f8c</anchor>
+      <arglist></arglist>
+    </member>
+  </compound>
+  <compound kind="struct">
+    <name>TSPSolver::SStep</name>
+    <filename>struct_t_s_p_solver_1_1_s_step.html</filename>
+    <class kind="struct">TSPSolver::SStep::SCandidate</class>
+    <member kind="enumeration">
+      <name>NextStep</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>af1a915528229317a309dfba9991fcd86</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="enumvalue">
+      <name>NoNextStep</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>af1a915528229317a309dfba9991fcd86a3b8ba538613f8e35ff43828c6522c354</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="enumvalue">
+      <name>LeftBranch</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>af1a915528229317a309dfba9991fcd86a077009b17a9710f3cf1a72803aa05243</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="enumvalue">
+      <name>RightBranch</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>af1a915528229317a309dfba9991fcd86aa09cf2c0a12d3097b67884e9c45e1818</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="function">
+      <type></type>
+      <name>SStep</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>ae1d7209d6effb9fcfa28aafeac360c31</anchor>
+      <arglist>()</arglist>
+    </member>
+    <member kind="variable">
+      <type>TMatrix</type>
+      <name>matrix</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>ae2ae1106147f4cd4a1e7a15c2bdf9cdc</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="variable">
+      <type>double</type>
+      <name>price</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>a881c1503127ad2426194700491ea4026</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="variable">
+      <type>SCandidate</type>
+      <name>candidate</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>af569aef4d00d3e33f39d8f251138860e</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="variable">
+      <type>QList&lt; SCandidate &gt;</type>
+      <name>alts</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>af95b7f421e7373e32548c64c358438d7</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="variable">
+      <type>SStep *</type>
+      <name>pNode</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>a4689e211e6a03f4b255243fde93ac54e</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="variable">
+      <type>SStep *</type>
+      <name>plNode</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>a3d4642f69b5eb7531697112341d31fd9</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="variable">
+      <type>SStep *</type>
+      <name>prNode</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>a44db7deaa9dbb69eafdf5fc7efd2296b</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="variable">
+      <type>NextStep</type>
+      <name>next</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step.html</anchorfile>
+      <anchor>a8db8f6149eb89754aeefd35348292375</anchor>
+      <arglist></arglist>
+    </member>
+  </compound>
+  <compound kind="struct">
+    <name>TSPSolver::SStep::SCandidate</name>
+    <filename>struct_t_s_p_solver_1_1_s_step_1_1_s_candidate.html</filename>
+    <member kind="function">
+      <type></type>
+      <name>SCandidate</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step_1_1_s_candidate.html</anchorfile>
+      <anchor>ad1f84242c537c8c824c5383cec63c233</anchor>
+      <arglist>()</arglist>
+    </member>
+    <member kind="function">
+      <type>bool</type>
+      <name>operator==</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step_1_1_s_candidate.html</anchorfile>
+      <anchor>a4ada1cd8006cf3b50d4a8e912965f0bc</anchor>
+      <arglist>(const SCandidate &amp;cand) const </arglist>
+    </member>
+    <member kind="variable">
+      <type>int</type>
+      <name>nRow</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step_1_1_s_candidate.html</anchorfile>
+      <anchor>ae8336e07f26a5b51439c6c7ac3c15800</anchor>
+      <arglist></arglist>
+    </member>
+    <member kind="variable">
+      <type>int</type>
+      <name>nCol</name>
+      <anchorfile>struct_t_s_p_solver_1_1_s_step_1_1_s_candidate.html</anchorfile>
+      <anchor>af6a9d9a2df92c1a56a7156ef7b9f6a27</anchor>
+      <arglist></arglist>
+    </member>
+  </compound>
+  <compound kind="class">
+    <name>TSPSolver::CTSPSolver</name>
+    <filename>class_t_s_p_solver_1_1_c_t_s_p_solver.html</filename>
+    <base>QObject</base>
+    <member kind="slot">
+      <type>void</type>
+      <name>cancel</name>
+      <anchorfile>class_t_s_p_solver_1_1_c_t_s_p_solver.html</anchorfile>
+      <anchor>a46a3da58d4bb9431bea2c915ceaf1eea</anchor>
+      <arglist>()</arglist>
+    </member>
+    <member kind="signal">
+      <type>void</type>
+      <name>routePartFound</name>
+      <anchorfile>class_t_s_p_solver_1_1_c_t_s_p_solver.html</anchorfile>
+      <anchor>a5e02867f053089a3e096f6baa70499a2</anchor>
+      <arglist>(int n)</arglist>
+    </member>
+    <member kind="function">
+      <type></type>
+      <name>CTSPSolver</name>
+      <anchorfile>class_t_s_p_solver_1_1_c_t_s_p_solver.html</anchorfile>
+      <anchor>a71bebe073ed5149a4558a779410a2e6b</anchor>
+      <arglist>(QObject *parent=NULL)</arglist>
+    </member>
+    <member kind="function">
+      <type>void</type>
+      <name>cleanup</name>
+      <anchorfile>class_t_s_p_solver_1_1_c_t_s_p_solver.html</anchorfile>
+      <anchor>a3ef198959f1b4c32b84fbd5222f8b796</anchor>
+      <arglist>(bool processEvents=false)</arglist>
+    </member>
+    <member kind="function">
+      <type>QString</type>
+      <name>getSortedPath</name>
+      <anchorfile>class_t_s_p_solver_1_1_c_t_s_p_solver.html</anchorfile>
+      <anchor>a0f4495349b42939d27113a3cd69390fd</anchor>
+      <arglist>(const QString &amp;city, const QString &amp;separator=QString(&quot; -&gt; &quot;)) const </arglist>
+    </member>
+    <member kind="function">
+      <type>int</type>
+      <name>getTotalSteps</name>
+      <anchorfile>class_t_s_p_solver_1_1_c_t_s_p_solver.html</anchorfile>
+      <anchor>a721973cc992b62750aae6fd3ab65773d</anchor>
+      <arglist>() const </arglist>
+    </member>
+    <member kind="function">
+      <type>bool</type>
+      <name>isOptimal</name>
+      <anchorfile>class_t_s_p_solver_1_1_c_t_s_p_solver.html</anchorfile>
+      <anchor>a2b82ac68b981c47a3261f4e4e9ecd2bd</anchor>
+      <arglist>() const </arglist>
+    </member>
+    <member kind="function">
+      <type>void</type>
+      <name>setCleanupOnCancel</name>
+      <anchorfile>class_t_s_p_solver_1_1_c_t_s_p_solver.html</anchorfile>
+      <anchor>a0c6b3869dc2e867609513c11e52ad7be</anchor>
+      <arglist>(bool enable=true)</arglist>
+    </member>
+    <member kind="function">
+      <type>SStep *</type>
+      <name>solve</name>
+      <anchorfile>class_t_s_p_solver_1_1_c_t_s_p_solver.html</anchorfile>
+      <anchor>ab8a5a387deebffd898577dba31a95099</anchor>
+      <arglist>(int numCities, const TMatrix &amp;task)</arglist>
+    </member>
+    <member kind="function">
+      <type>bool</type>
+      <name>wasCanceled</name>
+      <anchorfile>class_t_s_p_solver_1_1_c_t_s_p_solver.html</anchorfile>
+      <anchor>a6cce9079d60735f92037c98d6d361a82</anchor>
+      <arglist>() const </arglist>
+    </member>
+    <member kind="function" static="yes">
+      <type>static QString</type>
+      <name>getVersionId</name>
+      <anchorfile>class_t_s_p_solver_1_1_c_t_s_p_solver.html</anchorfile>
+      <anchor>a71d04cbead3508cdff606a5ccc79e59e</anchor>
+      <arglist>()</arglist>
+    </member>
+  </compound>
+</tagfile>
